{% load static %}
<script type="text/javascript">
$("#toprated").on('click', function(e) {
    e.preventDefault()
    $.ajax({
        url: "{% url 'homepage:TopAPI' %}",
        success: function(response1) {
            $("#modaltable-content").empty()
            var content = ""
            console.log(response1['response'])
            for(var i = 1; i <= response1['count']; i++) {                
                $.ajax({
                    async:false,
                    url: "https://www.googleapis.com/books/v1/volumes?q=" + response1['response'][i-1]['ID'],
                    success: function(data) {
                        console.log(data)
                        content += "<tr>"
                                
                        var Identifier
                        try {
                            Identifier = data.items[0].volumeInfo.industryIdentifiers[0].identifier
                        } catch(TypeError) {
                            Identifier = "Not Available"
                        } finally {
                            content += `<td class='align-middle'>${Identifier}</td>`
                        }

                        var Cover
                        try {
                            Cover = `<img src='${data.items[0].volumeInfo.imageLinks.thumbnail}'></img>`
                        } catch(TypeError) {
                            Cover = "Not Available"
                        } finally {
                            content += `<td class='align-middle'>${Cover}</td>`
                        }

                        var Id = data.items[0].id
                        var Title = data.items[0].volumeInfo.title
                        var Author = data.items[0].volumeInfo.authors
                        var Publisher = data.items[0].volumeInfo.publisher
                        var PDate = data.items[0].volumeInfo.publishedDate
                        
                        content += `<td class='align-middle'>${Title}</td>`
                        content += `<td class='align-middle'>${Author}</td>`
                        content += `<td class='align-middle'>${Publisher}</td>`
                        content += `<td class='align-middle'>${PDate}</td>`

                        content += `<td class='align-middle review-number'>${response1['response'][i-1]['Likes']}</td>`
                        content += `<td class='align-middle'>
                        <form class="formlike" method="POST" action="{% url 'homepage:LikeAPI' %}">
                            {% csrf_token %}
                            <input type="hidden" name="ID" value="${Id}">
                            <label>
                                <input type="submit" style="display: none;">
                                <svg type="submit" class="icons hvr-pop button-like" xmlns="http://www.w3.org/2000/svg" viewBox="0 0 24 24" fill="black" width="24px" height="24px"><path d="M0 0h24v24H0V0z" fill="none"/><path d="M1 21h4V9H1v12zm22-11c0-1.1-.9-2-2-2h-6.31l.95-4.57.03-.32c0-.41-.17-.79-.44-1.06L14.17 1 7.59 7.59C7.22 7.95 7 8.45 7 9v10c0 1.1.9 2 2 2h9c.83 0 1.54-.5 1.84-1.22l3.02-7.05c.09-.23.14-.47.14-.73v-2z"/></svg>
                            </label>
                        </form>
                        </td>`
                        content += "</tr>"
                    },
                })
            }

            $("#modaltable-content").append(content)
        }
    })
})
</script>